### Function

# Gimp installation_directory

#### Declaration [src]

    const gchar*
    gimp_installation_directory (
      void
    )

#### Description [src]

Returns the top installation directory of GIMP. On Unix the compile-time defined installation prefix is used. On Windows, the installation directory as deduced from the executable’s full filename is used. On OSX we ask [NSBundle mainBundle] for the resource path to check if GIMP is part of a relocatable bundle.

In config files such as gimprc, the string ${gimp_installation_dir} expands to this directory.

The returned string is owned by GIMP and must not be modified or freed. The returned string is in the encoding used for filenames by GLib, which isn’t necessarily UTF-8. (On Windows it always is UTF-8.)

Available since: | 2.8

#### Return value

Returns: | `const gchar*`
| The toplevel installation directory of GIMP.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.